GSL(1)

NAME
gsl-config - script to get version number and compiler flags of the installed GSL library

SYNOPSIS
gsl-config [--prefix] [--version] [--libs] [--libs-without-cblas] [--cflags]

DESCRIPTION

gsl-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use GSL. It is also used internally to the .m4 macros for GNU autoconf that are included with GSL.

OPTIONS
gsl-config accepts the following options:

--version
    Print the currently installed version of GSL on the standard output.

--libs
    Print the linker flags that are necessary to link a GSL program, with cblas

--libs-without-cblas
    Print the linker flags that are necessary to link a GSL program, without cblas

--cflags
    Print the compiler flags that are necessary to compile a GSL program.

--prefix
    Show the GSL installation prefix.

SEE ALSO
gtk-config(1), gnome-config(1)

COPYRIGHT
Copyright © 2001 Christopher R. Gabriel

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.